unit frmselectmatch;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ComCtrls, StdCtrls, ButtonPanel, fpcddb;

type

  { TSelectMatchForm }

  TSelectMatchForm = class(TForm)
    ButtonPanel1: TButtonPanel;
    LCaption: TLabel;
    LVMatches: TListView;
  private
    FMatches: TCDDBQueryMatches;
    function GetSelected: Integer;
    procedure SetMatches(const AValue: TCDDBQueryMatches);
    { private declarations }
  public
    { public declarations }
    Property Matches : TCDDBQueryMatches Read FMatches Write SetMatches;
    Property Selected : Integer Read GetSelected;
  end; 

var
  SelectMatchForm: TSelectMatchForm;

implementation

{ TSelectMatchForm }

function TSelectMatchForm.GetSelected: Integer;
begin
  If Assigned(LVMatches.Selected) then
    Result:=TCDDBQueryMatch(LVMatches.Selected.Data).Index
  else
    Result:=-1;
end;

procedure TSelectMatchForm.SetMatches(const AValue: TCDDBQueryMatches);

var
  LI : TListItem;
  I : Integer;
  M : TCDDBQueryMatch;

begin
  FMatches:=AValue;
  With LVMatches do
    begin
    BeginUpdate;
    try
    Clear;
    For I:=0 to FMatches.Count-1 do
      begin
      M:=FMatches[i];
      LI:=Items.Add;
      LI.Data:=M;
      LI.Caption:=M.Category;
      LI.SubItems.Add(M.Title);
      LI.SubItems.Add(M.Performer);
      LI.SubItems.Add(DiscIDToStr(M.DiscID));
      end;
    finally
      EndUPdate;
    end;
    end;
end;

initialization
  {$I frmselectmatch.lrs}

end.

